<!--
 * Copyright (C) 2022 WYATT GROUP
 * Please see the AUTHORS file for details.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
-->

# Wyatt Analysis - Example

```yaml
# If you use `package:wyatt_analysis/wyatt_analysis.dart`, add a normal dependency, you'll get unawaited function.
dependencies:
  wyatt_analysis:
    git:
      url: ssh://git@git.wyatt-studio.fr:993/Wyatt-Campus/wyatt-analysis.git
      ref: vX.X.X

# Or, if you just want `analysis_options.yaml`, it can be a dev dependency.
dev_dependencies:
  wyatt_analysis:
    git:
      url: ssh://git@git.wyatt-studio.fr:993/Wyatt-Campus/wyatt-analysis.git
      ref: vX.X.X
```

Then, add an include in `analysis_options.yaml`:

```yaml
include: package:wyatt_analysis/analysis_options.yaml
```

This will ensure you always use the latest **Dart** version of the lints. To get the latest **Flutter** superset:

```yaml
include: package:wyatt_analysis/analysis_options.flutter.yaml
```

If you wish to restrict the lint version, specify a version of `analysis_options.yaml` instead:

```yaml
include: package:wyatt_analysis/analysis_options.flutter.X.X.X.yaml
```

If you just want **Dart** version:

```yaml
include: package:wyatt_analysis/analysis_options.X.X.X.yaml
```